# Generate_Customer_Number

Generate a customer number.

`POST /v2/customers/generate-customer-number`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Generate_Customer_Number/

## Description

Use this to have the system generate a new incremental customer number.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerGenerateCustomerNumber` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerGenerateCustomerNumber`

Customer Model

| Property | Type | Required | Description |
|---|---|---|---|
| `customer_number` | string | No | System Generated Customer Number Example: `cc00000005`. |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/customers/generate-customer-number" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```